Enable automation
curl --request POST \
--url https://app.outlit.ai/api/automations/{id}/enable \
--header 'Authorization: Bearer <token>'{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"triggerJson": "<unknown>",
"audienceFilterJson": "<unknown>",
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"nextRunAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"definition": "<unknown>",
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"maskedConfig": {},
"lastSyncedAt": "2023-11-07T05:31:56Z",
"providerErrorCode": "<string>",
"providerErrorMessage": "<string>",
"isDefault": true,
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeSignalCount": 1,
"activeDestinationCount": 1,
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}Platform API
Enable automation
Enable one configured Outlit automation by id after validating required resources.
POST
/
api
/
automations
/
{id}
/
enable
Enable automation
curl --request POST \
--url https://app.outlit.ai/api/automations/{id}/enable \
--header 'Authorization: Bearer <token>'{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"triggerJson": "<unknown>",
"audienceFilterJson": "<unknown>",
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"nextRunAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"definition": "<unknown>",
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"maskedConfig": {},
"lastSyncedAt": "2023-11-07T05:31:56Z",
"providerErrorCode": "<string>",
"providerErrorMessage": "<string>",
"isDefault": true,
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeSignalCount": 1,
"activeDestinationCount": 1,
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}Authorizations
Outlit API key using the Bearer ok_... format.
Path Parameters
Automation ID.
Was this page helpful?
⌘I